Retrieve document metadata
Returns a document by its id, including its type, filename, size, content type, and status. You can find a document id in the documents array of a filing or business response. To download the file itself, use the download endpoint. To list or upload documents for a specific business, use the business document endpoints.
Authorizations
Enter your API key in the format: sk_test_xxxxx or sk_live_xxxxx
Path Parameters
The ID of the document to retrieve.
Response
The document.
Unique identifier for the document. Pass this to the document download endpoints.
"906f369f-a73b-46a2-8184-ccc5c2848abd"
Object type identifier, always "document"
document "document"
Whether this resource is test or live; test and live data are isolated.
test, live "live"
Document type classification
passport, drivers_license, national_id, government_id, articles_of_incorporation, certificate_of_formation, operating_agreement, bylaws, ein_letter, business_license, certificate_of_good_standing, bank_statement, tax_return, proof_of_address, notice, mail, ra_change_confirmation, ra_resignation, receipt, other "articles_of_incorporation"
Original filename of the uploaded document
255"articles_of_incorporation.pdf"
Size of the file in bytes
x >= 0524288
MIME type of the file
"application/pdf"
Current status of the document
pending, verified "verified"
ISO 8601 timestamp when the document was uploaded
"2025-10-24T10:30:00Z"
Custom metadata
ISO 8601 timestamp when the document record was created
"2025-10-24T10:30:00Z"
ISO 8601 timestamp when the document record was last updated
"2025-10-24T10:35:00Z"

